### YamlMime:ManagedReference
items:
- uid: adas_core.Application.Services.Caching
  commentId: N:adas_core.Application.Services.Caching
  id: adas_core.Application.Services.Caching
  children:
  - adas_core.Application.Services.Caching.CacheDispatcher
  - adas_core.Application.Services.Caching.CacheService
  - adas_core.Application.Services.Caching.InMemoryLockProvider
  - adas_core.Application.Services.Caching.LockManagerService
  - adas_core.Application.Services.Caching.NoCacheService
  - adas_core.Application.Services.Caching.RedisLockProvider
  - adas_core.Application.Services.Caching.RedisService
  langs:
  - csharp
  - vb
  name: adas_core.Application.Services.Caching
  nameWithType: adas_core.Application.Services.Caching
  fullName: adas_core.Application.Services.Caching
  type: Namespace
  assemblies:
  - adas-core.Application
references:
- uid: adas_core.Application.Services.Caching.CacheDispatcher
  commentId: T:adas_core.Application.Services.Caching.CacheDispatcher
  href: adas_core.Application.Services.Caching.CacheDispatcher.html
  name: CacheDispatcher
  nameWithType: CacheDispatcher
  fullName: adas_core.Application.Services.Caching.CacheDispatcher
- uid: adas_core.Application.Services.Caching.CacheService
  commentId: T:adas_core.Application.Services.Caching.CacheService
  parent: adas_core.Application.Services.Caching
  href: adas_core.Application.Services.Caching.CacheService.html
  name: CacheService
  nameWithType: CacheService
  fullName: adas_core.Application.Services.Caching.CacheService
- uid: adas_core.Application.Services.Caching.InMemoryLockProvider
  commentId: T:adas_core.Application.Services.Caching.InMemoryLockProvider
  href: adas_core.Application.Services.Caching.InMemoryLockProvider.html
  name: InMemoryLockProvider
  nameWithType: InMemoryLockProvider
  fullName: adas_core.Application.Services.Caching.InMemoryLockProvider
- uid: adas_core.Application.Services.Caching.LockManagerService
  commentId: T:adas_core.Application.Services.Caching.LockManagerService
  parent: adas_core.Application.Services.Caching
  href: adas_core.Application.Services.Caching.LockManagerService.html
  name: LockManagerService
  nameWithType: LockManagerService
  fullName: adas_core.Application.Services.Caching.LockManagerService
- uid: adas_core.Application.Services.Caching.NoCacheService
  commentId: T:adas_core.Application.Services.Caching.NoCacheService
  parent: adas_core.Application.Services.Caching
  href: adas_core.Application.Services.Caching.NoCacheService.html
  name: NoCacheService
  nameWithType: NoCacheService
  fullName: adas_core.Application.Services.Caching.NoCacheService
- uid: adas_core.Application.Services.Caching.RedisLockProvider
  commentId: T:adas_core.Application.Services.Caching.RedisLockProvider
  href: adas_core.Application.Services.Caching.RedisLockProvider.html
  name: RedisLockProvider
  nameWithType: RedisLockProvider
  fullName: adas_core.Application.Services.Caching.RedisLockProvider
- uid: adas_core.Application.Services.Caching.RedisService
  commentId: T:adas_core.Application.Services.Caching.RedisService
  parent: adas_core.Application.Services.Caching
  href: adas_core.Application.Services.Caching.RedisService.html
  name: RedisService
  nameWithType: RedisService
  fullName: adas_core.Application.Services.Caching.RedisService
- uid: adas_core.Application.Services.Caching
  commentId: N:adas_core.Application.Services.Caching
  href: adas_core.html
  name: adas_core.Application.Services.Caching
  nameWithType: adas_core.Application.Services.Caching
  fullName: adas_core.Application.Services.Caching
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Application
    name: Application
    href: adas_core.Application.html
  - name: .
  - uid: adas_core.Application.Services
    name: Services
    href: adas_core.Application.Services.html
  - name: .
  - uid: adas_core.Application.Services.Caching
    name: Caching
    href: adas_core.Application.Services.Caching.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Application
    name: Application
    href: adas_core.Application.html
  - name: .
  - uid: adas_core.Application.Services
    name: Services
    href: adas_core.Application.Services.html
  - name: .
  - uid: adas_core.Application.Services.Caching
    name: Caching
    href: adas_core.Application.Services.Caching.html
